Rivet: 2D histogram booking

| Rivet 3.1.9

Functions
2D histogram booking

## Functions
Histo2DPtr & | Rivet::Analysis::book (Histo2DPtr &, const std::string &name, size_t nxbins, double xlower, double xupper, size_t nybins, double ylower, double yupper)
Histo2DPtr & | Rivet::Analysis::book (Histo2DPtr &, const std::string &name, const std::vector< double > &xbinedges, const std::vector< double > &ybinedges)
Histo2DPtr & | Rivet::Analysis::book (Histo2DPtr &, const std::string &name, const std::initializer_list< double > &xbinedges, const std::initializer_list< double > &ybinedges)
Histo2DPtr & | Rivet::Analysis::book (Histo2DPtr &, const std::string &name, const Scatter3D &refscatter)
| Book a 2D histogram with binning from a reference scatter.
Histo2DPtr & | Rivet::Analysis::book (Histo2DPtr &, const std::string &name)
| Book a 2D histogram, using the binnings in the reference data histogram.
Histo2DPtr & | Rivet::Analysis::book (Histo2DPtr &, unsigned int datasetId, unsigned int xAxisId, unsigned int yAxisId)

## Detailed Description

## Function Documentation

## ◆ book() [1/4]

Histo2DPtr & Rivet::Analysis::book | ( | Histo2DPtr & | ,
|  | const std::string & | name,
|  | const std::initializer_list< double > & | xbinedges,
|  | const std::initializer_list< double > & | ybinedges
| ) |  |
| protected

Book a 2D histogram with non-uniform bins defined by the vectors of bin edges xbinedges and ybinedges.

## ◆ book() [2/4]

Histo2DPtr & Rivet::Analysis::book | ( | Histo2DPtr & | ,
|  | const std::string & | name,
|  | const std::vector< double > & | xbinedges,
|  | const std::vector< double > & | ybinedges
| ) |  |
| protected

Book a 2D histogram with non-uniform bins defined by the vectors of bin edges xbinedges and ybinedges.

## ◆ book() [3/4]

Histo2DPtr & Rivet::Analysis::book | ( | Histo2DPtr & | ,
|  | const std::string & | name,
|  | size_t | nxbins,
|  | double | xlower,
|  | double | xupper,
|  | size_t | nybins,
|  | double | ylower,
|  | double | yupper
| ) |  |
| protected

Book a 2D histogram with nxbins and nybins uniformly distributed across the ranges xlower - xupper and ylower - yupper respectively along the x- and y-axis.

## ◆ book() [4/4]

Histo2DPtr & Rivet::Analysis::book | ( | Histo2DPtr & | ,
|  | unsigned int | datasetId,
|  | unsigned int | xAxisId,
|  | unsigned int | yAxisId
| ) |  |
| protected

Book a 2D histogram, using the binnings in the reference data histogram.

The paper, dataset and x/y-axis IDs will be used to build the histo name in the HepData standard way.